Bug 1048168 (CVE-2013-7252) - CVE-2013-7252 kwallet: crypto misuse
Summary: CVE-2013-7252 kwallet: crypto misuse
Status: NEW
Alias: CVE-2013-7252
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130724,reported=2...
Keywords: Security
: 1180502 (view as bug list)
Depends On: 1048169 1048170
Blocks: 1048171 1180504
TreeView+ depends on / blocked
 
Reported: 2014-01-03 10:15 UTC by Ratul Gupta
Modified: 2018-01-30 18:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ratul Gupta 2014-01-03 10:15:10 UTC
It was found that kwallet, a tool for managing the passwords on a KDE system, uses Blowfish to encrypt its password store, and despite an attempt at implementing CBC mode (in a file called cbc.cc no less), it's actually ECB mode. UTF-16 encoding combined with Blowfish's 64 bit block size means there are just four password characters per block. Encryption is convergent as well.

The risk is that this may enable recovery of passwords through codebook attacks.

References:
http://seclists.org/oss-sec/2014/q1/2
http://gaganpreet.in/blog/2013/07/24/kwallet-security-analysis/

Comment 2 Ratul Gupta 2014-01-03 10:16:17 UTC
Created kwallet tracking bugs for this issue:

Affects: fedora-all [bug 1048169]

Comment 3 Kevin Kofler 2014-01-04 01:11:36 UTC
How are we supposed to fix this? Just changing the algorithm won't work because existing wallets have to keep working.

There also appear to be no practical attacks against the algorithm.

Comment 4 Huzaifa S. Sidhpurwala 2014-01-07 10:29:44 UTC
(In reply to Kevin Kofler from comment #3)
> How are we supposed to fix this? Just changing the algorithm won't work
> because existing wallets have to keep working.
> 
> There also appear to be no practical attacks against the algorithm.

It seems that kwallet is moving to gpgme[1] from version 4.12.The current code is only bound to remain for backward compatibility purpose. So one solution is to update to 4.12 and discourage users to use blowfish for storing passwords.


[1] http://www.rusu.info/wp/?p=248

Comment 5 Huzaifa S. Sidhpurwala 2014-01-07 10:34:56 UTC
Statement:

This issue affects the version of kdebase-runtime package as shipped with Red Hat Enterprise Linux 6. The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.

Comment 7 Vasyl Kaigorodov 2015-01-09 10:39:27 UTC
*** Bug 1180502 has been marked as a duplicate of this bug. ***

Comment 8 Fedora Update System 2015-01-14 23:59:03 UTC
kde-runtime-4.14.3-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-01-26 02:31:25 UTC
kde-runtime-4.14.3-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.